Subject: bug#16115: 24.3.50; doc string of `display-buffer-in-side-window' - there is no SIDE arg

From: martin rudalics <[email-masked]>
Date: Thu, 12 Dec 2013 11:15:09 +0100

> Do you intend to install this for the next release
 > or it needs more work?

It's merely meant as a proof of concept whether and how persistent
windows work.  It would be a great thing if you (or someone else) filled
in the gory details.  What's needed here is a good feeling for how tabs
are typically used in other applications (I do use tab mix plus on
Firefox but my settings are probably far too exotic) and how to
implement them within the framework of side windows.

 > One problem I noticed immediately:
 > after clicking on the tab it keeps the side window selected.

Yes.  `switch-to-buffer' doesn't seem to be the right answer for this.

BTW, you should set `window-resize-pixelwise' to non-nil in order to
better fit tabs buffers to their contents.  Since I also wrote some code
for window-based tabs I simply attach it here.

martin